# -*- coding: utf-8 -*-
import sys

from django import VERSION

from gaby import __version__


def media(request):
    """
    Adds media-related context variables to the context.

    Add 'myapp.context_processors.media' in
    TEMPLATE_CONTEXT_PROCESSORS )
    """
    return {
        'site_title': "gABy v{}".format(__version__),
        'APP_VERSION': __version__,
        'DJ_VERSION': '{}.{}.{}'.format(*VERSION[:3]),
        'PY_VERSION': '{}.{}.{}'.format(*sys.version_info[:3]),
    }
