# from '2019 05 15 Doublons AbpGaby.xls'

STR_ABP2GABY = {
    940: 8728,
    55: 8816,
    107: 9057,
    112: 9074,
    139: 9164,
    148: 9181,
    181: 9386,
    188: 9467,
    189: 9476,
    190: 9484,
    204: 9636,
    223: 9747,
    252: 10072,
    259: 10103,
    316: 10468,
    491: 10666,
    481: 11050,
    482: 11058,
    502: 11141,
    510: 11162,
    559: 11342,
    520: 11438,
    73: 12320,
    691: 12348,
    357: 12374,
    277: 12573,
    290: 12763,
    183: 12788,
    553: 12789,
    986: 12834,
    172: 12884,
    938: 13165,
    56: 13272,
    106: 13274,
    157: 13275,
    321: 13276,
    364: 13277,
    426: 13278,
    442: 13279,
    519: 13280,
    619: 13281,
    626: 13282,
    651: 13283,
    697: 13284,
    913: 13285,
    939: 13286,
    968: 13287,
    994: 13288,
    1021: 13289,
    91: 13408,
    448: 13500,
    879: 13551,
    62: 13557,
    822: 13559,
    4: 13689,
}

STR_BLACKLIST = {
    363,
    441,
    782,
    1112,
    1109,
    1018,
    360,
    416,
    652,
    952,
    878,
    1057,
    475,
    837,
    757,
    732,
    941,
    798,
    77,
    973,
    746,
    747,
    1040,
}

MTX_F_JUR = {
    'Administration': 'Etabl. Public',
    'Autre': 'Autre',
    'Association': 'Association',
    'EARL': 'EARL',
    'EI': 'Individuel',
    'ESAT': 'ESAT',
    'EURL': 'EURL',
    'GAEC': 'GAEC',
    'SA': 'SA',
    'SARL': 'SARL',
    'SAS': 'SAS',
    'SCA': 'Coopérative',
    'SCEA': 'SCEA',
    'SCIC': 'SCIC',
    'SCOP': 'SCOP',
    'SNC': 'SNC',
    None: 'Inconnu',
}

MTX_STATUT_STR = {'fin activite': 'ARRÊT ACTIVITÉ', '_projet': 'PROJET'}

# map les categories d'acteurs
MTX_CAT_ACT = {
    'Producteur': 'cat_act_agriculteur',
    'Collecteur': 'cat_act_collecteur',
    'Transformateur': 'cat_act_transformateur',
    'Commerce de gros': 'cat_act_commerce_gros',
    'Commerce de detail': 'cat_act_commerce_detail',
}

MTX_STATUTBIO = {
    None: 0,
    'fin activite': 0,
    'conventionnel': 1,
    'mixte': 2,
    'bio': 2,
}

MTX_ETIQUETTE = {
    'import_abp': 'import_abp',
    'import_abp_err': 'import_abp_err',
    'import_abp_manuel': 'import_abp_manuel',
}

MTX_CIVILITE = {
    'M.': 'M.',
    'Mme': 'Mme',
    'Mms.': 'Mme',  # transfuge entre Mlle et Mrs
    'M. et Mme': '',  # la base n'admet pas 2 personnes physiques
}

MTX_ACT = {
    'autre': 'autre',
    'autre elevage': 'autre_elevage',
    'apiculture': 'apiculture',
    'fruit': 'arboriculture',
    'autre culture': 'autre_prod_veg',
    'bovin-lait': 'bovin_lait',
    'bovin-viande': 'bovin_viande',
    'caprin': 'caprin',
    'surface fourragere': 'fourrage',
    'grande culture': 'grande_culture',
    'lapin': 'lapin',
    'legume de plein champ': 'legume_pl_champ',
    'legume maraichage': 'maraichage',
    'ovin lait': 'ovin_lait',
    'ovin viande': 'ovin_viande',
    'porcin': 'porcin',
    'poule pondeuse': 'poule_pondeuse',
    'PPAM': 'ppam',
    'vigne': 'viticulture',
    'volaille de chair': 'volaille_chair',
}

MTX_CULTURE = {'autre': "Autre culture (préciser)"}
